@import url("https://fonts.googleapis.com/css2?family=Inter:wght@100;200;300;500;700;800;900&display=swap");

@font-face {
  font-family: "Material Icons";
  font-style: normal;
  font-weight: 400;
  src: url(https://example.com/MaterialIcons-Regular.eot); /* For IE6-8 */
  src: local("Material Icons"), local("MaterialIcons-Regular"),
    url(https://example.com/MaterialIcons-Regular.woff2) format("woff2"),
    url(https://example.com/MaterialIcons-Regular.woff) format("woff"),
    url(https://example.com/MaterialIcons-Regular.ttf) format("truetype");
}

.material-icons {
  font-family: "Material Icons";
  font-weight: normal;
  font-style: normal;
  font-size: 24px; /* Preferred icon size */
  display: inline-block;
  line-height: 1;
  text-transform: none;
  letter-spacing: normal;
  word-wrap: normal;
  white-space: nowrap;
  direction: ltr;

  /* Support for all WebKit browsers. */
  -webkit-font-smoothing: antialiased;
  /* Support for Safari and Chrome. */
  text-rendering: optimizeLegibility;

  /* Support for Firefox. */
  -moz-osx-font-smoothing: grayscale;

  /* Support for IE. */
  font-feature-settings: "liga";
}

body {
  font-family: "Inter", sans-serif;
  font-size: 14px;
  font-weight: 300;
  text-align: left;
}

.primary_color {
  color: #d20a5e;
}

h3 {
  font-size: 24px;
  font-weight: 700;
  color: #d20a5e;
}

.container {
  padding: 20px 160px;
  background: rgb(238, 225, 229);
}

table {
  border-collapse: collapse;
  width: 100%;
  table-layout: fixed;
  min-width: 700px;
}

table caption {
  text-align: left;
  padding: 16px 40px;
}

table tr {
  background-color: white;
  vertical-align: bottom;
}

table th,
table td,
.right_align {
  text-align: right;
}

table th,
table td {
  padding: 16px 40px;
  text-align: left;
}

.border_bottom {
  border-bottom: 1px solid #bfb8ad;
}

table th {
  font-size: 12px;
  font-weight: 400;
  color: #2f3131;
  letter-spacing: 0.1em;
  text-transform: uppercase;
}

.numbers_on_top {
  padding: 0 0 2px 0;
  text-align: right;
}

.icon_open {
  width: 40px;
  color: #d20a5e;
}

.add_row {
  margin: 24px 0 0 0;
}

.details {
  background-color: #fafafa;
  display: none;
}

/* Mobile */

@media screen and (max-width: 740px) {
  .container {
    padding: 20px 40px;
  }

  table {
    min-width: 400px;
  }

  table thead {
    clip: rect(0 0 0 0);
    overflow: hidden;
    position: absolute;
  }

  table th,
  table td {
    padding: 12px 16px;
  }

  tr.border_bottom td {
    border-bottom: 0px;
  }

  table tr {
    display: block;
    margin-bottom: 8px;
  }

  .details td {
    max-width: 400px;
  }

  table td,
  table .numbers_on_top {
    display: block;
    text-align: right;
  }

  table td::before,
  table div::before {
    /*
    * aria-label has no advantage, it won't be read inside a table
    content: attr(aria-label);
    */
    content: attr(data-label);
    float: left;
    text-transform: uppercase;
    letter-spacing: normal;
    font-size: 12px;
    font-weight: 400;
  }

  table td:last-child {
    border-bottom: 0;
  }

  .icon_open {
    text-align: center;
    width: 100%;
    color: #d20a5e;
  }

  table .details td:first-child {
    display: none;
  }
}
